package com.rv.im.util;

import java.util.TimerTask;

public class RvImTimerTask extends TimerTask {

    private TimerListener listener;

    public RvImTimerTask(TimerListener listener) {
        this.listener = listener;
    }

    @Override
    public void run() {
        if (listener != null)
            listener.timer();
    }

    public interface TimerListener {
        void timer();
    }
}
